/// <reference types="node" />
import { CommandClasses } from "@zwave-js/core/safe";
import type { NVM3Object } from "../nvm3/object";
import { NVMFile, NVMFileCreationOptions, NVMFileDeserializationOptions } from "./NVMFile";
export interface SUCUpdateEntriesFileOptions extends NVMFileCreationOptions {
    updateEntries: SUCUpdateEntry[];
}
export interface SUCUpdateEntry {
    nodeId: number;
    changeType: number;
    supportedCCs: CommandClasses[];
    controlledCCs: CommandClasses[];
}
export declare function parseSUCUpdateEntry(buffer: Buffer, offset: number): SUCUpdateEntry | undefined;
export declare function encodeSUCUpdateEntry(entry: SUCUpdateEntry | undefined): Buffer;
export declare class SUCUpdateEntriesFile extends NVMFile {
    constructor(options: NVMFileDeserializationOptions | SUCUpdateEntriesFileOptions);
    updateEntries: SUCUpdateEntry[];
    serialize(): NVM3Object;
    toJSON(): {
        "SUC update entries": SUCUpdateEntry[];
    };
}
export declare const SUCUpdateEntriesFileID: number | ((id: number) => boolean);
//# sourceMappingURL=SUCUpdateEntriesFile.d.ts.map