/** Enforces that all of the required properties (optional properties may be omitted) or none of the properties exist */
export declare type AllOrNone<T extends Record<string, any>> = T | {
    [key in keyof T]?: undefined;
};
export declare type DeepPartial<T> = {
    [P in keyof T]+?: DeepPartial<T[P]>;
};
export declare type JSONObject = Record<string, any>;
export declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare type TypedClassDecorator<TTarget extends Object> = <T extends TTarget, TConstructor extends new (...args: any[]) => T>(apiClass: TConstructor) => TConstructor | void;
export declare type TypedPropertyDecorator<TTarget extends Object> = <T extends TTarget>(target: T, propertyKey: string | symbol) => void;
export declare type UnionToIntersection<T> = (T extends any ? (x: T) => any : never) extends (x: infer R) => any ? R : never;
export declare type OnlyMethods<T> = {
    [K in keyof T]: T[K] extends (...args: any[]) => any ? T[K] : never;
};
export declare type MethodsNamesOf<T> = OnlyMethods<T>[keyof T];
export declare type IsAny<T> = 0 extends 1 & T ? true : false;
//# sourceMappingURL=types.d.ts.map